diff --git a/dirsrvtests/tests/tickets/ticket47828_test.py b/dirsrvtests/tests/tickets/ticket47828_test.py
index 55d65ed..aea3490 100644
--- a/dirsrvtests/tests/tickets/ticket47828_test.py
+++ b/dirsrvtests/tests/tickets/ticket47828_test.py
@@ -81,8 +81,8 @@ def test_ticket47828_run_0(topology_st):
                                  ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(ACTIVE_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) != str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) != str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(ACTIVE_USER1_DN)
 
 
@@ -99,8 +99,8 @@ def test_ticket47828_run_1(topology_st):
                                  ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(ACTIVE_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(ACTIVE_USER1_DN)
 
 
@@ -117,8 +117,8 @@ def test_ticket47828_run_2(topology_st):
                                  ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(STAGED_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) != str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) != str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(STAGED_USER1_DN)
 
 
@@ -135,8 +135,8 @@ def test_ticket47828_run_3(topology_st):
                                  ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(STAGED_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(STAGED_USER1_DN)
 
 
@@ -147,7 +147,7 @@ def test_ticket47828_run_4(topology_st):
     _header(topology_st, 'Exclude the provisioning container')
 
     dn_config = "cn=excluded scope, cn=%s, %s" % (PLUGIN_DNA, DN_PLUGIN)
-    mod = [(ldap.MOD_REPLACE, 'dnaExcludeScope', PROVISIONING)]
+    mod = [(ldap.MOD_REPLACE, 'dnaExcludeScope', ensure_bytes(PROVISIONING))]
     topology_st.standalone.modify_s(dn_config, mod)
 
 
@@ -164,8 +164,8 @@ def test_ticket47828_run_5(topology_st):
                                  ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(ACTIVE_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) != str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ensure_str(ent.getValue(ALLOCATED_ATTR))) != str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ensure_str(ensure_str(ent.getValue(ALLOCATED_ATTR)))))
     topology_st.standalone.delete_s(ACTIVE_USER1_DN)
 
 
@@ -183,8 +183,8 @@ def test_ticket47828_run_6(topology_st):
                                  ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(ACTIVE_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ensure_str(ent.getValue(ALLOCATED_ATTR))) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ensure_str(ensure_str(ent.getValue(ALLOCATED_ATTR)))))
     topology_st.standalone.delete_s(ACTIVE_USER1_DN)
 
 
@@ -201,8 +201,8 @@ def test_ticket47828_run_7(topology_st):
                                  ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(STAGED_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(STAGED_USER1_DN)
 
 
@@ -220,8 +220,8 @@ def test_ticket47828_run_8(topology_st):
                                  ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(STAGED_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(STAGED_USER1_DN)
 
 
@@ -238,8 +238,8 @@ def test_ticket47828_run_9(topology_st):
                                 ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(DUMMY_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) != str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) != str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(DUMMY_USER1_DN)
 
 
@@ -257,8 +257,8 @@ def test_ticket47828_run_10(topology_st):
                                 ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(DUMMY_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(DUMMY_USER1_DN)
 
 
@@ -269,7 +269,7 @@ def test_ticket47828_run_11(topology_st):
     _header(topology_st, 'Exclude (in addition) the dummy container')
 
     dn_config = "cn=excluded scope, cn=%s, %s" % (PLUGIN_DNA, DN_PLUGIN)
-    mod = [(ldap.MOD_ADD, 'dnaExcludeScope', DUMMY_CONTAINER)]
+    mod = [(ldap.MOD_ADD, 'dnaExcludeScope', ensure_bytes(DUMMY_CONTAINER))]
     topology_st.standalone.modify_s(dn_config, mod)
 
 
@@ -286,8 +286,8 @@ def test_ticket47828_run_12(topology_st):
                                  ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(ACTIVE_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) != str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) != str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(ACTIVE_USER1_DN)
 
 
@@ -305,8 +305,8 @@ def test_ticket47828_run_13(topology_st):
                                  ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(ACTIVE_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(ACTIVE_USER1_DN)
 
 
@@ -324,8 +324,8 @@ def test_ticket47828_run_14(topology_st):
                                  ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(STAGED_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(STAGED_USER1_DN)
 
 
@@ -343,8 +343,8 @@ def test_ticket47828_run_15(topology_st):
                                  ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(STAGED_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(STAGED_USER1_DN)
 
 
@@ -362,8 +362,8 @@ def test_ticket47828_run_16(topology_st):
                                 ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(DUMMY_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(DUMMY_USER1_DN)
 
 
@@ -381,8 +381,8 @@ def test_ticket47828_run_17(topology_st):
                                 ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(DUMMY_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(DUMMY_USER1_DN)
 
 
@@ -393,10 +393,10 @@ def test_ticket47828_run_18(topology_st):
     _header(topology_st, 'Exclude PROVISIONING and a wrong container')
 
     dn_config = "cn=excluded scope, cn=%s, %s" % (PLUGIN_DNA, DN_PLUGIN)
-    mod = [(ldap.MOD_REPLACE, 'dnaExcludeScope', PROVISIONING)]
+    mod = [(ldap.MOD_REPLACE, 'dnaExcludeScope', ensure_bytes(PROVISIONING))]
     topology_st.standalone.modify_s(dn_config, mod)
     try:
-        mod = [(ldap.MOD_ADD, 'dnaExcludeScope', "invalidDN,%s" % SUFFIX)]
+        mod = [(ldap.MOD_ADD, 'dnaExcludeScope', ensure_bytes("invalidDN,%s" % SUFFIX))]
         topology_st.standalone.modify_s(dn_config, mod)
         raise ValueError("invalid dnaExcludeScope value (not a DN)")
     except ldap.INVALID_SYNTAX:
@@ -417,8 +417,8 @@ def test_ticket47828_run_19(topology_st):
                                  ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(ACTIVE_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) != str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) != str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(ACTIVE_USER1_DN)
 
 
@@ -436,8 +436,8 @@ def test_ticket47828_run_20(topology_st):
                                  ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(ACTIVE_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(ACTIVE_USER1_DN)
 
 
@@ -455,8 +455,8 @@ def test_ticket47828_run_21(topology_st):
                                  ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(STAGED_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(STAGED_USER1_DN)
 
 
@@ -474,8 +474,8 @@ def test_ticket47828_run_22(topology_st):
                                  ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(STAGED_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(STAGED_USER1_DN)
 
 
@@ -493,8 +493,8 @@ def test_ticket47828_run_23(topology_st):
                                 ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(DUMMY_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) != str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) != str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(DUMMY_USER1_DN)
 
 
@@ -512,8 +512,8 @@ def test_ticket47828_run_24(topology_st):
                                 ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(DUMMY_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(DUMMY_USER1_DN)
 
 
@@ -526,7 +526,7 @@ def test_ticket47828_run_25(topology_st):
     dn_config = "cn=excluded scope, cn=%s, %s" % (PLUGIN_DNA, DN_PLUGIN)
 
     try:
-        mod = [(ldap.MOD_REPLACE, 'dnaExcludeScope', "invalidDN,%s" % SUFFIX)]
+        mod = [(ldap.MOD_REPLACE, 'dnaExcludeScope', ensure_bytes("invalidDN,%s" % SUFFIX))]
         topology_st.standalone.modify_s(dn_config, mod)
         raise ValueError("invalid dnaExcludeScope value (not a DN)")
     except ldap.INVALID_SYNTAX:
@@ -546,8 +546,8 @@ def test_ticket47828_run_26(topology_st):
                                  ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(ACTIVE_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) != str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) != str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(ACTIVE_USER1_DN)
 
 
@@ -565,8 +565,8 @@ def test_ticket47828_run_27(topology_st):
                                  ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(ACTIVE_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (ACTIVE_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(ACTIVE_USER1_DN)
 
 
@@ -583,8 +583,8 @@ def test_ticket47828_run_28(topology_st):
                                  ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(STAGED_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(STAGED_USER1_DN)
 
 
@@ -602,8 +602,8 @@ def test_ticket47828_run_29(topology_st):
                                  ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(STAGED_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (STAGED_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(STAGED_USER1_DN)
 
 
@@ -620,8 +620,8 @@ def test_ticket47828_run_30(topology_st):
                                 ALLOCATED_ATTR: str(-1)})))
     ent = topology_st.standalone.getEntry(DUMMY_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) != str(-1)
-    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) != str(-1)
+    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(DUMMY_USER1_DN)
 
 
@@ -639,8 +639,8 @@ def test_ticket47828_run_31(topology_st):
                                 ALLOCATED_ATTR: str(20)})))
     ent = topology_st.standalone.getEntry(DUMMY_USER1_DN, ldap.SCOPE_BASE, "(objectclass=*)")
     assert ent.hasAttr(ALLOCATED_ATTR)
-    assert ent.getValue(ALLOCATED_ATTR) == str(20)
-    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ent.getValue(ALLOCATED_ATTR)))
+    assert ensure_str(ent.getValue(ALLOCATED_ATTR)) == str(20)
+    topology_st.standalone.log.debug('%s.%s=%s' % (DUMMY_USER1_CN, ALLOCATED_ATTR, ensure_str(ent.getValue(ALLOCATED_ATTR))))
     topology_st.standalone.delete_s(DUMMY_USER1_DN)
 
 
diff --git a/dirsrvtests/tests/tickets/ticket47829_test.py b/dirsrvtests/tests/tickets/ticket47829_test.py
index 72a42d7..8f1a872 100644
--- a/dirsrvtests/tests/tickets/ticket47829_test.py
+++ b/dirsrvtests/tests/tickets/ticket47829_test.py
@@ -93,7 +93,7 @@ def _find_memberof(topology_st, user_dn=None, group_dn=None, find_result=True):
 
         for val in ent.getValues('memberof'):
             topology_st.standalone.log.info("!!!!!!! %s: memberof->%s" % (user_dn, val))
-            if val == group_dn:
+            if ensure_str(val) == group_dn:
                 found = True
                 break
 
@@ -113,7 +113,7 @@ def _find_member(topology_st, user_dn=None, group_dn=None, find_result=True):
 
         for val in ent.getValues('member'):
             topology_st.standalone.log.info("!!!!!!! %s: member ->%s" % (group_dn, val))
-            if val == user_dn:
+            if ensure_str(val) == user_dn:
                 found = True
                 break
 
@@ -171,7 +171,7 @@ def _check_memberof(topology_st=None, action=None, user_dn=None, group_dn=None, 
     topology_st.standalone.log.info('\n%s entry %s' % (txt, user_dn))
     topology_st.standalone.log.info('to group %s' % group_dn)
 
-    topology_st.standalone.modify_s(group_dn, [(action, 'member', user_dn)])
+    topology_st.standalone.modify_s(group_dn, [(action, 'member', ensure_bytes(user_dn))])
     time.sleep(1)
     _find_memberof(topology_st, user_dn=user_dn, group_dn=group_dn, find_result=find_result)
 
@@ -218,15 +218,15 @@ def test_ticket47829_init(topology_st):
     # enable memberof of with scope IN except provisioning
     topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
     dn = "cn=%s,%s" % (PLUGIN_MEMBER_OF, DN_PLUGIN)
-    topology_st.standalone.modify_s(dn, [(ldap.MOD_REPLACE, 'memberOfEntryScope', SCOPE_IN_DN)])
-    topology_st.standalone.modify_s(dn, [(ldap.MOD_REPLACE, 'memberOfEntryScopeExcludeSubtree', PROVISIONING_DN)])
+    topology_st.standalone.modify_s(dn, [(ldap.MOD_REPLACE, 'memberOfEntryScope', ensure_bytes(SCOPE_IN_DN))])
+    topology_st.standalone.modify_s(dn, [(ldap.MOD_REPLACE, 'memberOfEntryScopeExcludeSubtree', ensure_bytes(PROVISIONING_DN))])
 
     # enable RI with scope IN except provisioning
     topology_st.standalone.plugins.enable(name=PLUGIN_REFER_INTEGRITY)
     dn = "cn=%s,%s" % (PLUGIN_REFER_INTEGRITY, DN_PLUGIN)
-    topology_st.standalone.modify_s(dn, [(ldap.MOD_REPLACE, 'nsslapd-pluginentryscope', SCOPE_IN_DN)])
-    topology_st.standalone.modify_s(dn, [(ldap.MOD_REPLACE, 'nsslapd-plugincontainerscope', SCOPE_IN_DN)])
-    topology_st.standalone.modify_s(dn, [(ldap.MOD_REPLACE, 'nsslapd-pluginExcludeEntryScope', PROVISIONING_DN)])
+    topology_st.standalone.modify_s(dn, [(ldap.MOD_REPLACE, 'nsslapd-pluginentryscope', ensure_bytes(SCOPE_IN_DN))])
+    topology_st.standalone.modify_s(dn, [(ldap.MOD_REPLACE, 'nsslapd-plugincontainerscope', ensure_bytes(SCOPE_IN_DN))])
+    topology_st.standalone.modify_s(dn, [(ldap.MOD_REPLACE, 'nsslapd-pluginExcludeEntryScope', ensure_bytes(PROVISIONING_DN))])
 
     topology_st.standalone.restart(timeout=10)
 
@@ -494,7 +494,7 @@ def test_ticket47829_mod_stage_user_modrdn_stage_user_1(topology_st):
 def test_ticket47829_indirect_active_group_1(topology_st):
     _header(topology_st, 'add an Active group (G1) to an active group (G0). Then add active user to G1')
 
-    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_ADD, 'member', ACTIVE_GROUP_DN)])
+    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_ADD, 'member', ensure_bytes(ACTIVE_GROUP_DN))])
 
     # add an active user to G1. Checks that user is memberof G1
     _check_memberof(topology_st, action=ldap.MOD_ADD, user_dn=ACTIVE_USER_DN, group_dn=ACTIVE_GROUP_DN,
@@ -502,7 +502,7 @@ def test_ticket47829_indirect_active_group_1(topology_st):
     _find_memberof(topology_st, user_dn=ACTIVE_USER_DN, group_dn=INDIRECT_ACTIVE_GROUP_DN, find_result=True)
 
     # remove G1 from G0
-    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_DELETE, 'member', ACTIVE_GROUP_DN)])
+    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_DELETE, 'member', ensure_bytes(ACTIVE_GROUP_DN))])
     _find_memberof(topology_st, user_dn=ACTIVE_USER_DN, group_dn=INDIRECT_ACTIVE_GROUP_DN, find_result=False)
     _find_memberof(topology_st, user_dn=ACTIVE_USER_DN, group_dn=ACTIVE_GROUP_DN, find_result=True)
 
@@ -515,7 +515,7 @@ def test_ticket47829_indirect_active_group_2(topology_st):
     _header(topology_st,
             'add an Active group (G1) to an active group (G0). Then add active user to G1. Then move active user to stage')
 
-    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_ADD, 'member', ACTIVE_GROUP_DN)])
+    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_ADD, 'member', ensure_bytes(ACTIVE_GROUP_DN))])
 
     # add an active user to G1. Checks that user is memberof G1
     _check_memberof(topology_st, action=ldap.MOD_ADD, user_dn=ACTIVE_USER_DN, group_dn=ACTIVE_GROUP_DN,
@@ -523,7 +523,7 @@ def test_ticket47829_indirect_active_group_2(topology_st):
     _find_memberof(topology_st, user_dn=ACTIVE_USER_DN, group_dn=INDIRECT_ACTIVE_GROUP_DN, find_result=True)
 
     # remove G1 from G0
-    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_DELETE, 'member', ACTIVE_GROUP_DN)])
+    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_DELETE, 'member', ensure_bytes(ACTIVE_GROUP_DN))])
     _find_memberof(topology_st, user_dn=ACTIVE_USER_DN, group_dn=INDIRECT_ACTIVE_GROUP_DN, find_result=False)
     _find_memberof(topology_st, user_dn=ACTIVE_USER_DN, group_dn=ACTIVE_GROUP_DN, find_result=True)
 
@@ -555,7 +555,7 @@ def test_ticket47829_indirect_active_group_3(topology_st):
     _header(topology_st,
             'add an Active group (G1) to an active group (G0). Then add active user to G1. Then move active user to out of the scope')
 
-    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_ADD, 'member', ACTIVE_GROUP_DN)])
+    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_ADD, 'member', ensure_bytes(ACTIVE_GROUP_DN))])
 
     # add an active user to G1. Checks that user is memberof G1
     _check_memberof(topology_st, action=ldap.MOD_ADD, user_dn=ACTIVE_USER_DN, group_dn=ACTIVE_GROUP_DN,
@@ -563,7 +563,7 @@ def test_ticket47829_indirect_active_group_3(topology_st):
     _find_memberof(topology_st, user_dn=ACTIVE_USER_DN, group_dn=INDIRECT_ACTIVE_GROUP_DN, find_result=True)
 
     # remove G1 from G0
-    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_DELETE, 'member', ACTIVE_GROUP_DN)])
+    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_DELETE, 'member', ensure_bytes(ACTIVE_GROUP_DN))])
     _find_memberof(topology_st, user_dn=ACTIVE_USER_DN, group_dn=INDIRECT_ACTIVE_GROUP_DN, find_result=False)
     _find_memberof(topology_st, user_dn=ACTIVE_USER_DN, group_dn=ACTIVE_GROUP_DN, find_result=True)
 
@@ -595,7 +595,7 @@ def test_ticket47829_indirect_active_group_4(topology_st):
     _header(topology_st,
             'add an Active group (G1) to an active group (G0). Then add stage user to G1. Then move user to active. Then move it back')
 
-    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_ADD, 'member', ACTIVE_GROUP_DN)])
+    topology_st.standalone.modify_s(INDIRECT_ACTIVE_GROUP_DN, [(ldap.MOD_ADD, 'member', ensure_bytes(ACTIVE_GROUP_DN))])
 
     # add stage user to active group
     _check_memberof(topology_st, action=ldap.MOD_ADD, user_dn=STAGE_USER_DN, group_dn=ACTIVE_GROUP_DN,
diff --git a/dirsrvtests/tests/tickets/ticket47833_test.py b/dirsrvtests/tests/tickets/ticket47833_test.py
index 9267365..810cba9 100644
--- a/dirsrvtests/tests/tickets/ticket47833_test.py
+++ b/dirsrvtests/tests/tickets/ticket47833_test.py
@@ -109,7 +109,7 @@ def _find_member(topology_st, user_dn=None, group_dn=None, find_result=True):
 
         for val in ent.getValues('member'):
             topology_st.standalone.log.info("!!!!!!! %s: member ->%s" % (group_dn, val))
-            if val == user_dn:
+            if ensure_str(val) == user_dn:
                 found = True
                 break
 
@@ -144,7 +144,7 @@ def _check_memberof(topology_st=None, action=None, user_dn=None, group_dn=None, 
     topology_st.standalone.log.info('\n%s entry %s' % (txt, user_dn))
     topology_st.standalone.log.info('to group %s' % group_dn)
 
-    topology_st.standalone.modify_s(group_dn, [(action, 'member', user_dn)])
+    topology_st.standalone.modify_s(group_dn, [(action, 'member', ensure_bytes(user_dn))])
     time.sleep(1)
     _find_memberof(topology_st, user_dn=user_dn, group_dn=group_dn, find_result=find_result)
 
@@ -188,7 +188,7 @@ def test_ticket47829_init(topology_st):
     # enable memberof of with scope account
     topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
     dn = "cn=%s,%s" % (PLUGIN_MEMBER_OF, DN_PLUGIN)
-    topology_st.standalone.modify_s(dn, [(ldap.MOD_REPLACE, 'memberOfEntryScope', ACTIVE_DN)])
+    topology_st.standalone.modify_s(dn, [(ldap.MOD_REPLACE, 'memberOfEntryScope', ensure_bytes(ACTIVE_DN))])
 
     topology_st.standalone.restart(timeout=10)
 
